#ifndef __QUANTISE_H__
#define __QUANTISE_H__

APalette *FindIndices(Raster2DAbstract *RasterRGB, unsigned indices);

APalette *FindIndices2(Raster2DAbstract *RasterRGB, unsigned indices);

Raster2DAbstract *Remap2Palette(const APalette *Palette, Raster2DAbstract *RasterRGB);
double GetCriteriaFit(const APalette *Palette, Raster2DAbstract *RasterRGB);

#endif